--- /dev/null	Mon Sep 10 13:31:13 2012
+++ new/usr/src/lib/librevnetgroup/Makefile.com	Tue Sep 11 18:26:23 2012
@@ -0,0 +1,42 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+#
+# Copyright 2012 Nexenta Systems, Inc.  All rights reserved.
+#
+
+LIBRARY=	librevnetgroup.a
+VERS=		.1
+OBJECTS=	revnetgroup.o getgroup.o table.o util.o
+
+include ../../Makefile.lib
+include ../../Makefile.rootfs
+
+COMDIR =	$(SRC)/cmd/ypcmd/revnetgroup
+
+LIBS =		$(DYNLIB) $(LINTLIB)
+SRCS =		$(COMDIR)/*.c
+
+LDLIBS +=	-lc
+
+$(LINTLIB) :=	SRCS = $(SRCDIR)/$(LINTSRC)
+
+.KEEP_STATE:
+
+all : $(LIBS)
+
+lint: lintcheck
+
+pics/%.o:	 $(COMDIR)/%.c
+	$(COMPILE.c) -o $@ $<
+	$(POST_PROCESS_O)
+
+
+include ../../Makefile.targ
